Skip to main content
GET
List partner referral requests

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-15"

Query Parameters

account_id
string

Only requests for this business ID, prefixed biz_.

partner_id
string

Only requests sent by this partner's user ID, prefixed user_.

status
enum<string>

Only requests with this approval status.

Available options:
pending,
accepted,
denied,
cancelled
request_type
enum<string>

Only requests initiated in this way.

Available options:
manual,
ownership_transfer,
reward_link
order
enum<string>
default:created_at

Field used to sort requests.

Available options:
created_at
direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

Response

Requests listed.

data
object[]
required
page_info
object
required